These tables describe the supported operating systems for vCenter Hyperic server and vCenter Hyperic agent installations.

It is good practice that host operating systems employ a NTP time synchronization between the vCenter Hyperic server and vCenter Hyperic agent. If you do not use NTP, metrics are displayed according to the server time. To correlate data on the server with an agent that is not synchronized, you must calculate the time difference.

The supported operating system tables indicate whether the supported configuration is for production or development. Production support means you can run your production application on the platform.

The developer support designation indicates those products that are "known to work" and for which VMware will provide best-effort support to resolving reported issues. Developer Support certifications are not supported for use in production.

The following table provides data about the operating systems that are supported for use with vCenter Hyperic.

Supported Operating Systems for the vCenter Hyperic Server

Operating System

Processor Architecture

JVM

Production/Developer Support

Scaling Considerations

Pre-deployed virtual appliance (vAPP)

x86_64

Oracle

Java SE 7

Production

Best configuration for environments with greater than 1000 managed platforms.

RedHat Enterprise Linux (RHEL) 5, or CentOS 5.x

x86_64

Oracle

Java SE 7

Production

RedHat Enterprise Linux (RHEL) 6

x86_64

Oracle

Java SE 7

Production

For medium scale environments

SuSE Enterprise Linux (SLES) 11

x86_64

Oracle

Java SE 7

Production

For medium scale environments

Microsoft Windows Server 2008

x86_64

Oracle

Java SE 7

Production

For medium scale environments

On Unix-like platforms, the vCenter Hyperic server requires the libXp.so.6 X library to create charts and other graphics in the vCenter Hyperic user interface. The location of this library varies according to version and provider.

Provider

Comment

Enterprise Linux

From RedHat Enterprise Linux 4 and CentOS 4, libXp.so.6 is in the xorg-x11-deprecated-libs RPM.

Debian

Install the libxp6, libxt6, libxtst6, and libx11-6 packages.

Fedora Core 5

From Fedora Core 5, the libXp.so library has been separated to its own package. Install the libXp RPM.

Other distributions

The required libraries can be found in either the XFree86-libs or the xorg-x11-libs package.

These configurations are supported for the agent in both development and production environments.

Supported Operating Systems for the vCenter Hyperic Agent

Operating System*

Processor Architecture

JVM

Scaling Considerations

RedHat Enterprise Linux (RHEL) 5.x, 6.x, 7.x

x86_64,

x86_32 (not tested for v.7.x)

Oracle Java SE7

RHEL 7 requires vCenter Hyperic agent 5.8.3, or higher

CentOS 5.x, 6.x, 7.x

x86_64, x86_32

Oracle Java SE7

SUSE Enterprise Linux (SLES) 11.x, 12.x

x86_64

Oracle Java SE7

SLES 12 requires vCenter Hyperic agent 5.8.3, or higher

Windows 2008 Server, 2008 Server R2

x86_64, x64_32

Oracle Java SE7

Windows 2012 Server, 2012 Server R2

x86_64, x64_32

Oracle Java SE7

Solaris 10, 11

x86_64, x86_32, SPARC

Oracle Java SE7

x86 support requires vCenter Hyperic agent 5.8.1, or higher

HP-UX 11.11 or higher

PA-Risc

Oracle Java SE7

AIX 6.1, 7.1

Power PC

IBM Java SE7

The following table lists the host system requirements for the vCenter Hyperic server and the vCenter Hyperic database, and assumes that the database runs on a different host than the vCenter Hyperic server.

vCenter Hyperic supports only one vCenter Hyperic server on a host. The host must have a static IP address for server communications.

vCenter Hyperic supports only one vCenter Hyperic agent on a host.

To manage more than 100 platforms, you must run the vCenter Hyperic database on a dedicated host, not that on which the vCenter Hyperic server runs.

In the Host Machine Requirements table,

"Medium" is 50 to 250 managed platforms, or 5000-30000 managed resources.

"Large" is 250 to 2,000 managed platforms, or greater than 30,000 managed resources.

Minimum Host Machine Requirements

Resource

vCenter Hyperic Server

Required vCenter Hyperic Database

Processor

Medium: 4 or more server class CPUs, 2GHz

Large: 6 or more server class CPUs, 2GHz

Medium: 4 or more server class CPUs, 2GHz

Large: 6 or more server class CPUs, 2GHz

Memory

Medium: 8GB

Large: 12GB

Medium: 6GB

Large: 16GB

Free Disk Space

20GB

Medium: 50GB

Large: 500GB

The vCenter Hyperic database supports PostgreSQL or vPostgreSQL 9.1.x.

The vCenter Hyperic Server vApp includes a virtual machine with a vPostgreSQL database. The database that is installed when you run the vCenter Hyperic installer in default mode is PostgreSQL.

Hyperic supports the following browsers. Firefox is recommended.

The Skype plug-in for Firefox causes unexpected behavior in the Hyperic user interface. Disable the plug-in to work around this problem.

Supported Browsers

Browser

Version

Firefox

11, 12

Internet Explorer

7, 8, 9

Safari

5.0, 5.1

Chrome

21

The vCenter Hyperic agents that report to the vCenter Hyperic server must be the same version as the server, or an earlier version than the server.